Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connector_Registry Class Reference

Per-ORB TAO Connector Registry. More...

`#include <Connector_Registry.h>`

Collaboration diagram for TAO_Connector_Registry:

[legend]
List of all members.

## Public Methods
| TAO_Connector_Registry (void)
| Default constructor.
| ~TAO_Connector_Registry (void)
| Default destructor.
TAO_Connector * | get_connector (CORBA::ULong tag)
| Return the connector bridges.
int | open (TAO_ORB_Core *orb_core)
| Initialize all registered connectors.
int | close_all (void)
| Close all open connectors.
int | make_mprofile (const char *ior, TAO_MProfile &mprofile ACE_ENV_ARG_DECL)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
| Create a profile based on the contents of <cdr>.
char | object_key_delimiter (const char *ior)
TAO_ConnectorSetIterator | begin (void)
TAO_ConnectorSetIterator | end (void)
## Private Methods
| TAO_Connector_Registry (const TAO_Connector_Registry &)
void | operator= (const TAO_Connector_Registry &)
## Private Attributes
TAO_Connector ** | connectors_
| List of connectors that are currently open.
size_t | size_
| Number of connectors that are currently open.

## Detailed Description

Per-ORB TAO Connector Registry.

Connector Registry and Generic Connector interface definitions. All loaded ESIOP or GIOP connector bridges must register with this object. This class is able to dynamically load a set of concrete protocol connectors which have registered with the service configurator and added their Factory name to the Resource_Factory line of the svc.conf file.

## Constructor & Destructor Documentation

TAO_Connector_Registry::TAO_Connector_Registry | ( | void |  | ) |

| Default constructor.

TAO_Connector_Registry::~TAO_Connector_Registry | ( | void |  | ) |

| Default destructor.

TAO_Connector_Registry::TAO_Connector_Registry | ( | const TAO_Connector_Registry & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE TAO_ConnectorSetIterator TAO_Connector_Registry::begin | ( | void |  | ) |

int TAO_Connector_Registry::close_all | ( | void |  | ) |

| Close all open connectors.

TAO_Profile * TAO_Connector_Registry::create_profile | ( | TAO_InputCDR & | cdr | ) |

| Create a profile based on the contents of <cdr>.

ACE_INLINE TAO_ConnectorSetIterator TAO_Connector_Registry::end | ( | void |  | ) |

TAO_Connector * TAO_Connector_Registry::get_connector | ( | CORBA::ULong | tag | ) |

| Return the connector bridges.

int TAO_Connector_Registry::make_mprofile | ( | const char * | ior,
|  | TAO_MProfile &mprofile | ACE_ENV_ARG_DECL
| ) |

| Parse a string containing a URL style IOR and return an MProfile.

char TAO_Connector_Registry::object_key_delimiter | ( | const char * | ior | ) |

| Obtain the object key delimiter used by the protocol specified in the provided URL style IOR.

int TAO_Connector_Registry::open | ( | TAO_ORB_Core * | orb_core | ) |

| Initialize all registered connectors.

void TAO_Connector_Registry::operator= | ( | const TAO_Connector_Registry & |  | ) | `[private]`

## Member Data Documentation

TAO_Connector** TAO_Connector_Registry::connectors_`[private]`

| List of connectors that are currently open.

size_t TAO_Connector_Registry::size_`[private]`

| Number of connectors that are currently open.

The documentation for this class was generated from the following files:

- Connector_Registry.h
- Connector_Registry.cpp
- Connector_Registry.i